/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

:root {
    --clr-primary: #123456;
    --clr-secondary: #ee0044;
    --clr-light: #ffffff;
    --clr-dark: #000000;
    --clr-text: #333333;
}

/* Sidebar */

/* Brand */
.cat-item .brxe-div[logo="AUDI"] {
    background-position: 0 -336px !important; 
}

.cat-item .brxe-div[logo="BMW"] {
    background-position: 0 -288px !important; 
}

.cat-item .brxe-div[logo="CHEVROLET"] {
    background-position: 0 -576px !important; 
}

.cat-item .brxe-div[logo="TOYOTA"] {
    background-position: 0 0 !important; 
}

.cat-item .brxe-div[logo="NISSAN"] {
    background-position: 0 -24px !important; 
}

.cat-item .brxe-div[logo="HONDA"] {
    background-position: 0 -48px !important; 
}

.cat-item .brxe-div[logo="MAZDA"] {
    background-position: 0 -72px !important; 
}

.cat-item .brxe-div[logo="MITSUBISHI"] {
    background-position: 0 -96px !important; 
}

.cat-item .brxe-div[logo="SUBARU"] {
    background-position: 0 -120px !important; 
}

.cat-item .brxe-div[logo="SUZUKI"] {
    background-position: 0 -144px !important; 
}

.cat-item .brxe-div[logo="ISUZU"] {
    background-position: 0 -168px !important; 
}

.cat-item .brxe-div[logo="DAIHATSU"] {
    background-position: 0 -192px !important; 
}

.cat-item .brxe-div[logo="HINO"] {
    background-position: 0 -216px !important; 
}

.cat-item .brxe-div[logo="LEXUS"] {
    background-position: 0 -240px !important; 
}

.cat-item .brxe-div[logo="MERCEDES-BENZ"] {
    background-position: 0 -264px !important; 
}

.cat-item .brxe-div[logo="VOLKSWAGEN"] {
    background-position: 0 -312px !important; 
}

.cat-item .brxe-div[logo="PEUGEOT"] {
    background-position: 0 -360px !important; 
}

.cat-item .brxe-div[logo="FORD"] {
    background-position: 0 -384px !important; 
}

.cat-item .brxe-div[logo="VOLVO"] {
    background-position: 0 -408px !important; 
}

.cat-item .brxe-div[logo="LAND ROVER"] {
    background-position: 0 -432px !important; 
}

.cat-item .brxe-div[logo="JAGUAR"] {
    background-position: 0 -456px !important; 
}

.cat-item .brxe-div[logo="JEEP"] {
    background-position: 0 -480px !important; 
}

.cat-item .brxe-div[logo="CHEVROLET"] {
    background-position: 0 -576px !important; 
}

.cat-item .brxe-div[logo="HYUNDAI"] {
    background-position: 0 -504px !important; 
}

.cat-item .brxe-div[logo="KIA"] {
    background-position: 0 -528px !important; 
}

.cat-item .brxe-div[logo="SSANGYONG"] {
    background-position: 0 -552px !important; 
}

.cat-item .brxe-div[logo="RENAULT SAMSUNG"] {
    background-position: 0 -600px !important; 
}

/* Type */
.cat-item .brxe-div[logo="SUV"] {
    background-position: -24px 0 !important; 
}

.cat-item .brxe-div[logo="Truck"] {
    background-position: -24px -24px !important; 
}

.cat-item .brxe-div[logo="Pick up"] {
    background-position: -24px -48px !important; 
}

.cat-item .brxe-div[logo="Van"] {
    background-position: -24px -72px !important; 
}

.cat-item .brxe-div[logo="Sedan"] {
    background-position: -24px -96px !important; 
}

.cat-item .brxe-div[logo="Bus"] {
    background-position: -24px -120px !important; 
}

.cat-item .brxe-div[logo="Mini Van"] {
    background-position: -24px -144px !important; 
}

.cat-item .brxe-div[logo="Hatchback"] {
    background-position: -24px -168px !important; 
}

.cat-item .brxe-div[logo="Coupe"] {
    background-position: -24px -192px !important; 
}

.cat-item .brxe-div[logo="Convertible"] {
    background-position: -24px -216px !important; 
}

.cat-item .brxe-div[logo="Wagon"] {
    background-position: -24px -240px !important; 
}

.cat-item .brxe-div[logo="Mini Bus"] {
    background-position: -24px -264px !important; 
}

.cat-item .brxe-div[logo="Machinery"] {
    background-position: -24px -288px !important; 
}

.cat-item .brxe-div[logo="Forklift"] {
    background-position: -24px -312px !important; 
}

.cat-item .brxe-div[logo="Tractor"] {
    background-position: -24px -336px !important; 
}

.cat-item .brxe-div[logo="Tractor Head"] {
    background-position: -48px -336px !important; 
}

.cat-item .brxe-div[logo="Motorcycle"] {
    background-position: -24px -360px !important; 
}

/* Category */
.cat-item .brxe-div[logo="Left Hand Drive"] {
    background-position: -24px -480px !important; 
}

.cat-item .brxe-div[logo="Fuel Efficient"] {
    background-position: -24px -504px !important; 
}

.cat-item .brxe-div[logo="Hybrid"] {
    background-position: -24px -528px !important; 
}

.cat-item .brxe-div[logo="Electric"] {
    background-position: -48px -576px !important; 
}

.cat-item .brxe-div[logo="Diesel"] {
    background-position: -24px -552px !important; 
}

.cat-item .brxe-div[logo="Manual"] {
    background-position: -24px -576px !important; 
}

.cat-item .brxe-div[logo="For Handicapped"] {
    background-position: -24px -600px !important; 
}

/* Vehicles In Stock */
.cat-item .brxe-div[logo="Korea"] {
    background-position: -10px -38px !important; 
}

.cat-item .brxe-div[logo="Thailand"] {
    background-position: -10px -200px !important; 
}

.cat-item .brxe-div[logo="United Kingdom"] {
    background-position: -10px -70px !important; 
}

.cat-item .brxe-div[logo="Singapore"] {
    background-position: -10px -293px !important; 
}

.cat-item .brxe-div[logo="UAE"] {
    background-position: -10px -325px !important; 
}

.cat-item .brxe-div[logo="South Africa"] {
    background-position: -10px -447px !important; 
}

.cat-item .brxe-div[logo="Australia"] {
    background-position: -10px -540px !important; 
}

.cat-item .brxe-div[logo="Philippines"] {
    background-position: -10px -570px !important; 
}

.cat-item .brxe-div[logo="Belgium"] {
    background-position: -10px -601px !important; 
}


/* Product Woocommerce */

ul.products {
    gap: 10px;
}

li.product {
    padding: 15px;
    display: flex;
    flex-direction: column;
    list-style: none;
    border-radius: 7px;
    background-color: var(--clr-light);
    box-shadow: 0 0 15px rgba(0, 0, 0, .1);	
}

li.product .attachment-woocommerce_thumbnail {
    width: 100%;
    height: 140px;
    object-fit: cover;
    border-radius: 7px;
}

li.product .woocommerce-loop-product__content {
    flex-grow: 1;
}

li.product .woocommerce-loop-product__title {
    font-size: 15px;
    min-height: 45px;
    overflow: hidden;
    white-space: normal;
    text-overflow: unset;
    transition: color .2s ease-in-out;

    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

li.product .woocommerce-loop-product__title:hover {
    color: var(--clr-secondary);
}

li.product .price {
    margin-top: 5px;
    font-weight: 500;
    color: var(--clr-secondary);
}

@media (max-width: 767px) {
    ul.products {
        grid-template-columns: repeat(2, 1fr)
    }
}

/* Archive Woocommerce */

.archive .brxe-section {
    padding-top: 20px;
    padding-bottom: 20px;
}

.archive .layout-default .brxe-container {
    padding: 0;
}

.archive .brxe-woocommerce-wrap {
    display: flex;
}

.archive .brxe-woocommerce-categories {
    width: 20%;
}

.archive .brxe-woocommerce-products {
    margin: 0 20px;
    width: 60%;
}

.archive .brxe-woocommerce-advertisement {
    width: 20%;
}

.archive .woocommerce-pagination {
    margin-top: 30px;
    justify-content: center;
}

.archive .woocommerce-pagination li {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #f1f2f4;
    transition: all .2s ease-in-out;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 0px 20px inset;
}

.archive .woocommerce-pagination li .page-numbers {
    font-weight: 500 !important;
    color: var(--clr-primary);
    transition: color .2s ease-in-out;
}

.archive .woocommerce-pagination li:has(.page-numbers.current) {
    background-color: var(--clr-primary);
}

.archive .woocommerce-pagination li .page-numbers.current {
    color: var(--clr-light);
}

.archive .woocommerce-pagination li:hover {
    background-color: var(--clr-primary);
}

.archive .woocommerce-pagination li:hover .page-numbers {
    color: var(--clr-light);
}

@media (max-width: 1024px) {
    .archive .brxe-woocommerce-categories {
        width: 25%;
    }

    .archive .brxe-woocommerce-products {
        margin: 0 20px;
        width: 75%;
    }

    .archive .brxe-woocommerce-advertisement {
        display: none;
    }
}

@media (max-width: 991px) {
    .archive .brxe-woocommerce-categories {
        display: none;
    }

    .archive .brxe-woocommerce-products {
        margin: 0;
        width: 100%;
    }
}

/*  */
li.product h5{
	font-size: 15px;
	width: 100%;
    text-overflow: unset;
    white-space: normal;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

li.product .dynamic{
	margin-bottom: 5px;
}

li.product div.dynamic:nth-of-type(1){
	border-radius: 7px;
	overflow: hidden;
	width: 100% ;
	aspect-ratio: 215/161;
}

li.product div.dynamic:nth-of-type(2){
	font-weight: 500;
	color: red;
}

li.product div.dynamic:nth-of-type(2):before{
	content:"$";
	margin-right: 5px;
}

li.product p.dynamic:nth-of-type(1),
li.product p.dynamic:nth-of-type(2){
	display: inline-block;
	font-size: 12px;
}

li.product p.dynamic:nth-of-type(1){
	margin-right: 10px;
}

li.product p.dynamic:nth-of-type(1):before{
	content: url('./asstets/clock-svgrepo-com.svg');
	margin-right: 2px;
}

li.product p.dynamic:nth-of-type(2):before{
	content: url('./asstets/fuel-svgrepo-com.svg');
	margin-right: 2px;
}